Special offer. See more information about Outbyte and uninstall instructions. Please review EULA and Privacy policy.

Store-and-forward is a method in which a network device receives and buffers a complete frame or packet before sending it onward. In Ethernet switching, that full-frame wait lets the switch check for CRC errors before forwarding, but it adds delay compared with cut-through switching. The term also describes delay-tolerant networks, where messages can wait in storage until a communication opportunity is available.

How store-and-forward works in an Ethernet switch

  1. The switch receives the entire Ethernet frame on an input port.
  2. It buffers the frame and checks it before forwarding.
  3. If the frame passes the documented check, the switch sends it through the appropriate output port.

Cisco documents this behavior for its Nexus 3000 NX-OS Layer 2 Switching Configuration Guide, Release 5.0(3)U3(1): the switch checks frames for cyclic redundancy check (CRC) errors before forwarding them. This is a platform- and release-specific description, not a guarantee that every switch exposes the same setting or behaves identically. A CRC check can detect the documented error condition; it does not make forwarding error-free or prevent every kind of corruption or network fault. Cisco Nexus 3000 Layer 2 Switching Configuration Guide

Store-and-forward vs. cut-through switching

Behavior Store-and-forward Cut-through
When forwarding starts After the complete frame has arrived and been checked. After the switch reads destination details in the frame header; it need not wait for the entire frame.
Integrity check before forwarding The cited Cisco platform checks the complete frame for CRC errors first. The frame may begin forwarding before all of its integrity information has arrived.
Latency trade-off Waiting for the full frame adds delay compared with cut-through on the cited platform. Can begin forwarding sooner, with less delay on that platform.

The practical choice is a trade-off: store-and-forward allows a complete-frame check before transmission onward, while cut-through favors starting sooner. These descriptions reflect Cisco’s cited guide; device implementations may differ.

What latency means for store-and-forward

Latency figures are meaningful only when their measurement points are clear. RFC 1242 defines latency for a store-and-forward device as the interval from the arrival of the last bit of the input frame at the input port to the appearance of the first bit of the output frame at the output port. That is a device-level benchmark definition, not a measure of end-to-end application delay. RFC 1242, section 3.8

Special offer. See more information about Outbyte and uninstall instructions. Please review EULA and Privacy policy.
#1 Best Overall
Elebase USB to USB C Adapter for iPhone 18 Pro Max,USBC Car Charger Adapter
  • Read Before You Buy — No Video Output: These adapters support charging and USB 2.0 data transfer, but cannot transmit video signals. Except for standard USB webcams (which use USB data only), they are not compatible with HDMI/DisplayPort cables, video-capable USB-C hubs, or docking stations with video output.
  • Convert USB-A Ports to USB-C: Designed to connect USB-C earphones, cables, flash drives, card readers, and other USB-C accessories to standard USB-A ports. Plug-and-play with no drivers or software required.
  • Aluminum Alloy Housing: Built with a sturdy aluminum alloy shell that aids in heat dissipation and protects against daily wear and scratches. Designed to maintain a stable and secure connection.
  • Compact & Travel-Friendly: The ultra-compact design allows the adapter to stay plugged into your device without blocking adjacent ports or adding bulk, reducing wear and tear on your original USB ports.
  • 12-Month Warranty: Backed by a 12-month manufacturer warranty for peace of mind. Designed to meet strict quality control standards for reliable everyday performance.

RFC 8238, published in August 2017, discusses benchmarking data-center devices that may use cut-through, store-and-forward, or hybrid behavior. Some devices may store and forward smaller packets but switch to cut-through at a larger packet-size threshold. When comparing latency, identify the device or platform, packet conditions, and the measurement’s start and end events; a bare latency number can conceal different methods. RFC 8238

Store-and-forward in delay-tolerant networking

In delay-tolerant networking (DTN), store-and-forward refers to keeping messages—often called bundles—in network storage until a communication opportunity becomes available. This approach suits networks where a continuous end-to-end connection cannot be assumed. Unlike a switch buffering a frame for forwarding, a DTN message may wait much longer for a usable link. RFC 4838

Best Value
Anker USB C Hub, 5-in-1 USBC to HDMI Splitter with 4K Display
  • 5-in-1 Connectivity: Equipped with a 4K HDMI port, a 5 Gbps USB-C data port, two 5 Gbps USB-A ports, and a USB C 100W PD-IN port. Note: The USB C 100W PD-IN port supports only charging and does not support data transfer devices such as headphones or speakers.
  • Powerful Pass-Through Charging: Supports up to 85W pass-through charging so you can power up your laptop while you use the hub. Note: Pass-through charging requires a charger (not included). Note: To achieve full power for iPad, we recommend using a 45W wall charger.
  • Transfer Files in Seconds: Move files to and from your laptop at speeds of up to 5 Gbps via the USB-C and USB-A data ports. Note: The USB C 5Gbps Data port does not support video output.
  • HD Display: Connect to the HDMI port to stream or mirror content to an external monitor in resolutions of up to 4K@30Hz. Note: The USB-C ports do not support video output.
  • What You Get: Anker 332 USB-C Hub (5-in-1), welcome guide, our worry-free 18-month warranty, and friendly customer service.
Rank #4
Sale
UGREEN USB to USB C Adapter Combo 4-Pack, 10Gbps USB C Converter Space Gray
  • Dual Converters, Infinite Potential:Includes 2× USB C male to USB A female adapters and 2× USB A male to USB C female adapters. Perfect for a wide range of uses—tablets with Bluetooth keyboards, expand USB ports on macbook, and more. Two different converters for all your daily needs
  • Next-Level 10Gbps & 3A Charging: No more slow 480Mbps, this usb to usb c adapter has a transfer speed of up to 10Gbps, allowing you to do more transferring in less time. This usb adapter fits both USB A and USB C charger, supporting up to 3A fast charging
  • Upgraded Exquisite Craftsmanship: With an aluminum alloy housing and metal connector, the usbc to usb adapter is extremely durable and sturdy. Rigorously tested to withstand more than 10,000 times of plugging and unplugging, ensuring long-lasting performance
  • Broad Compatible: The usb c to usb adapter widely supports all USB C/ USB A devices like laptops, tablets, cellphones, car chargers, and phone chargers. Such as compatible with MacBook Pro/Air 2023/2022, Thunderbolt 4/3 Devices,Apple MagSafe Watch 9/8/7/SE/Ultra, iPad Pro 2022/2021, Samsung Galaxy S23/S20/S10, and iPhone 17/16/15 Pro. Plug and play
  • Please Note: To reach 10Gbps speed, keep the cable under 3.3 ft. For USB A Male to USB C adapters, try flipping the USB C connector. USB C Male to USB A adapters support bidirectional 10Gbps transfer within 3.3 ft
Rank #3
Sale
Anker USB C Hub, 7in1 Multi-Port USB Adapter, 4K@60Hz USBC to HDMI Splitter
  • Sleek 7-in-1 USB-C Hub: Features an HDMI port, two USB-A 3.0 ports, and a USB-C data port, each providing 5Gbps transfer speeds. It also includes a USB-C PD input port for charging up to 100W and dual SD and TF card slots, all in a compact design.
  • Flawless 4K@60Hz Video with HDMI: Delivers exceptional clarity and smoothness with its 4K@60Hz HDMI port, making it ideal for high-definition presentations and entertainment. (Note: Only the HDMI port supports video projection; the USB-C port is for data transfer only.)
  • Double Up on Efficiency: The two USB-A 3.0 ports and a USB-C port support a fast 5Gbps data rate, significantly boosting your transfer speeds and improving productivity.
  • Fast and Reliable 85W Charging: Offers high-capacity, speedy charging for laptops up to 85W, so you spend less time tethered to an outlet and more time being productive.
  • What You Get: Anker USB-C Hub (7-in-1), welcome guide, 18-month warranty, and our friendly customer service.
Rank #2
Anker USB-C Hub, 5-in-1 USB Hub for Laptops, 4K HDMI Multiport Adapter
  • 5-in-1 USB-C Hub: Experience comprehensive connectivity featuring a Power Delivery input, two USB-A 2.0 ports, a USB-A 3.0 port, and an HDMI port. (Note: The USB-C power delivery input port is only for connecting an external wall charger to power your laptop and cannot power peripheral devices.)
  • 90W Pass-Through Charging: Achieve optimal charging with 90W pass-through power to your laptop, supported by a total input of 100W, with the hub reserving 10W for operational efficiency. (Note: Wall charger not included.)
  • Quick Data Transfers: Accelerate your productivity with rapid data transfers using a high-speed 5Gbps USB 3.0 port and two 480Mbps USB 2.0 ports.
  • 4K HDMI Display: Enhance your visual experience with a hub capable of delivering 4K resolution at 30Hz in both mirror and extend modes. Please note that this hub is compatible with MacBook (macOS 12 and newer), Windows 10 and 11, ChromeOS, and laptops equipped with DP Alt Mode and Power Delivery. Note: This device is not compatible with Linux.
  • What You Get: Anker USB-C Hub (5-in-1, 4K HDMI), welcome guide, 18-month warranty, and our friendly customer service.
Independent reader supportYour contribution helps us test, update, and keep practical guides available for everyone.Support on Ko-Fi

In brief

  • In Ethernet switching, the device receives a complete frame before forwarding it.
  • On the cited Cisco platform, waiting allows a CRC check before onward transmission, at the cost of additional delay compared with cut-through.
  • In DTN, the stored item is a message or bundle that waits for a communication opportunity.

Product prices and availability are accurate as of the date/time indicated and are subject to change. Any price and availability information displayed on Amazon at the time of purchase will apply.